Package Details: aegisub-arch1t3cht-git 3.2.2.r1181.80491bacb-1

Git Clone URL: https://aur.archlinux.org/aegisub-arch1t3cht-git.git (read-only, click to copy)
Package Base: aegisub-arch1t3cht-git
Description: A general-purpose subtitle editor with ASS/SSA support (arch1t3cht fork)
Upstream URL: https://github.com/arch1t3cht/Aegisub
Licenses: GPL, BSD
Conflicts: aegisub
Provides: aegisub
Submitter: Funami
Maintainer: Funami
Last Packager: Funami
Votes: 7
Popularity: 0.008873
First Submitted: 2022-08-18 11:17 (UTC)
Last Updated: 2024-05-31 04:29 (UTC)

Dependencies (27)

Required by (4)

Sources (9)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Funami commented on 2023-04-27 10:21 (UTC)

@witchymary Okay, LTO is now disabled.

witchymary commented on 2023-04-27 01:28 (UTC)

That's fine by me.

Funami commented on 2023-04-27 00:12 (UTC)

If it crashes, I think it should be disabled (for now). The performance improvements of using lto are probably negligible anyway. What do you think, @witchymary?

witchymary commented on 2023-04-25 21:03 (UTC)

Just to note, but -D b_lto=true in arch-meson might break Aegisub under certain circumstances for some people. I don't think there's any need to disable it in the PKGBUILD since it doesn't seem to affect most people, but worth mentioning if you're having issues. Mine was with aegisub scripts crashing whenever they threw an error.

Funami commented on 2023-04-24 20:31 (UTC)

@fbrennan Thanks! I applied your patch with some small style changes. I hope you don't mind and your patch still works as intended.

fbrennan commented on 2023-04-19 10:57 (UTC) (edited on 2023-04-19 10:58 (UTC) by fbrennan)

Please apply this patch.

diff --git a/PKGBUILD b/PKGBUILD
index b5947e3..9700979 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,10 @@
+#!/bin/bash
 # Maintainer: Funami
+# Contributor: Fredrick R. Brennan <copypaste@kittens.ph>
+
 pkgname=aegisub-arch1t3cht-git
-pkgver=3.2.2.r953.21f764fdf
-pkgrel=2
+pkgver=3.2.2.r970.26a5f00c8
+pkgrel=1
 pkgdesc="A general-purpose subtitle editor with ASS/SSA support (arch1t3cht fork)"
 arch=('x86_64')
 url="https://github.com/arch1t3cht/Aegisub"
@@ -51,40 +54,63 @@ sha256sums=('SKIP'
             '927827c183d01734cc5cfef85e0ff3f5a92ffe6188e0d18e909c5efebf28a0c7'
             'f79f5fd46e09507b3f2e09a51ea6eb20020effe543335f5aee59f30cc8d15805')

+AEGISUB_AUR_DEFAULT_AUDIO_OUTPUT=${AEGISUB_AUR_DEFAULT_AUDIO_OUTPUT:=PulseAudio}
+
 pkgver() {
   cd "${pkgname}"
   tag='v3.2.2'
   printf "%s.r%s.%s" "${tag#v}" "$(git rev-list --count ${tag}..HEAD)" "$(git rev-parse --short HEAD)"
 }

-prepare() {
-  cd "${pkgname}"
-
+__aegisub-arch1t3cht-git_prepare_cleanbuild() {
   # Initialize subproject wraps for bestsource
   ln -s ../../"${pkgname}-bestsource" subprojects/bestsource
-  meson subprojects packagefiles --apply bestsource

   # Initialize subproject wraps for avisynth
   mv ../"${pkgname}-avisynth" subprojects/avisynth
-  meson subprojects packagefiles --apply avisynth

   # Initialize subproject wraps for vapoursynth
   ln -s ../../"${pkgname}-vapoursynth" subprojects/vapoursynth
-  meson subprojects packagefiles --apply vapoursynth

   # Initialize subproject wraps for luajit
   ln -s ../../"${pkgname}-luajit" subprojects/luajit
-  meson subprojects packagefiles --apply luajit

   # Initialize subproject wraps for gtest
   mkdir subprojects/packagecache
   ln -s ../../../"${pkgname}-gtest-1.8.1.zip" subprojects/packagecache/gtest-1.8.1.zip
   ln -s ../../../"${pkgname}-gtest-1.8.1-1-wrap.zip" subprojects/packagecache/gtest-1.8.1-1-wrap.zip
+}
+
+prepare() {
+  cd "${pkgname}"
+  # If build dir exists (it won't ever if makepkg is passed --cleanbuild) call --reconfigure rather than setup without it which will fail)
+  local MESON_FLAGS
+  [ -d build ] && MESON_FLAGS='--reconfigure' || (__aegisub-arch1t3cht-git_prepare_cleanbuild; MESON_FLAGS='')
+
+  meson subprojects packagefiles --apply avisynth
+  meson subprojects packagefiles --apply bestsource
+  meson subprojects packagefiles --apply luajit
+  meson subprojects packagefiles --apply vapoursynth

   # Fix boost "undefined reference" error
   sed -i '/BOOST_USE_WINDOWS_H/{n;s/$/\nadd_project_arguments('"'"'-DBOOST_NO_CXX11_SCOPED_ENUMS'"'"', language: '"'"'cpp'"'"')/}' meson.build

-  arch-meson --buildtype=release -D default_audio_output=PulseAudio build
+  # check if the OPTIONS array contains "!strip"
+  check_makepkg_options() (
+    source /etc/makepkg.conf || return 1
+    options="${OPTIONS[@]}"
+    if [[ " ${options} " =~ ' !strip ' ]]; then
+      >&2 echo '!strip found in OPTIONS array'
+      echo debug
+    else
+      >&2 echo '!strip not found in OPTIONS array'
+      echo release
+    fi
+  )
+  local BUILDTYPE
+  BUILDTYPE=$(check_makepkg_options 2> /dev/null)
+
+  arch-meson --buildtype=$BUILDTYPE -D default_audio_output=$AEGISUB_AUR_DEFAULT_AUDIO_OUTPUT $MESON_FLAGS build
 }

 build() {

Funami commented on 2023-02-11 00:24 (UTC)

@witchymary Done.

witchymary commented on 2023-02-09 12:02 (UTC)

Probably should add these as optional dependencies since they are also on AUR https://github.com/arch1t3cht/Aegisub/commit/ef410d277288899537493739774c2810459dc5ab

Funami commented on 2023-01-26 02:45 (UTC)

Nice, thanks for the update on that issue.

witchymary commented on 2023-01-26 02:16 (UTC)

It has been fixed in upstream